Skip to navigation

List

View as Markdown

This request will return an array of all customers.

Listing more than one customer requires Application API Scope with the Bulk Operations permission.

Authentication

x-api-keystring

Application API Scope — server-to-server, sent in the x-api-key header. See Authentication.

OR
authorizationstring

Storefront API Scope — client-side, scoped to one customer, sent as a signature in the authorization header. See Authentication.

Query parameters

livestringOptional

Account status: active = 'True'

emailstringOptional
Customer's email address
updateddateOptional

Objects whose updated date matches exactly (yyyy-mm-dd). On customer creation it is populated with same value as created field.

updated_startdateOptional

Objects whose updated datetime is greater than or equal to the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss)

updated_enddateOptional

Objects whose updated datetime is less than or equal to the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss)

createddateOptional

Objects whose created date matches exactly (yyyy-mm-dd)

created_startdateOptional

Objects whose created datetime is greater than or equal to the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss)

created_enddateOptional

Objects whose created datetime is less than or equal to the given datetime (yyyy-mm-dd or yyyy-mm-ddThh:mm:ss)

Response

200
merchantstringOptional
merchant_user_idstringOptional
session_idstringOptional
user_token_idstringOptional
first_namestringOptional
last_namestringOptional
emailstringOptional
phone_numberstringOptional
phone_typeintegerOptionalDefaults to 0
livebooleanOptionalDefaults to true
createdstringOptional
last_updatedstringOptional
last_loginstring or nullOptional
extra_dataanyOptional
localeintegerOptionalDefaults to 0

Errors

403
Forbidden Error
404
Not Found Error